Bug 370851 - XQuery miss-search
XQuery miss-search
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kawa (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 01:00 EST by Nobuhiro Kuhara
Modified: 2008-06-16 22:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:50:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobuhiro Kuhara 2007-11-08 01:00:03 EST
Description of problem:

"kawa" seems to be wrong.

Version-Release number of selected component (if applicable):

kawa-1.9.0

How reproducible:

It always reappears.

Steps to Reproduce:
1.Please prepare two files.

XQuery(quert.txt) is

<root>{for $a in doc('test.xml')/A/B/C[attribute::node()='10'] return 
<rec>$a</rec>}</root>

XML Document(test.xml) is
 <?xml version="1.0" ?><A><B><C id="a">10</C></B></A>

2.
  kawa -xquery -f query.txt

Actual results:

<rec><a><C id="a">10</C></a></rec>

Expected results:

<rec />

Additional info:

DB2 XQuery was normal.
Comment 1 Anthony Green 2007-11-11 15:58:47 EST
My results (on f8) are:
<root><rec>$a</rec></root>

I ask upstream about this.
Comment 2 Per Bothner 2007-12-27 02:23:05 EST
Thanks for reporting this bug.  I just fixed it in the Kawa SVN repository.
The fix will be in the next Kawa release.

(Note the bug report has a couple of errors, presumably due to copy/paste
problems: the expression $a needs to be escaped by braces, and the outer <test>
either needs to be removed from the test program, or added to the expected results.)
Comment 3 Bug Zapper 2008-05-14 11:01:16 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Nobuhiro Kuhara 2008-05-14 20:17:01 EDT
I am very sorry that an answer is delayed to you. 

I have not already used Fedora7 now. 
Therefore, I tell you that the correct answer of this problem is not possible. 

However, I report it when I do a similar test in Fedora9 which is the latest 
version because a result to expect was provided.



Thank you.
Comment 5 Bug Zapper 2008-06-16 22:50:11 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.